DEVS-Fire API

loadWindFlow

Upload a wind-flow schedule file for dynamically changing wind conditions. **File format** (matches [SIMS sample weather_artificial.txt](https://sims.cs.gsu.edu/sims/research/DEVSFIREAPI/weather_artificial.txt)): ```text ncols 5 nrows 13 Hour Min Temp wspd Dir 0 0 0 5.6 67 ... ``` - Line 1: `ncols N` — number of columns - Line 2: `nrows N` — number of data rows - Line 3: column headers (space-separated) - Line 4+: space-separated rows: hour, minute, temperature, windSpeed, windDirection Send as `text/plain` body with a `fileName` header.

POST
/loadWindFlow

Request Body

text/plain

body*string

Wind-flow schedule .txt file.

Query Parameters

Prop

Type

Header Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/loadWindFlow/"response = requests.post(    base_url,    params={"userToken": "abc123xyz"},    files={"file": open("weather_artificial.txt", "rb")},    headers={"fileName": "weather_artificial.txt"},)print(response.text)
"Updated Wind Flow Model"
""
{
  "timestamp": "2026-05-20T16:42:20.430+00:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/api/loadWindFlow"
}

Response Body

text/plain

text/plain

application/json